// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the GOGCRYPTDEV_EXPORTS
// symbol defined on the command line. This symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// GOGCRYPTDEV_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef GOGCRYPTDEV_EXPORTS
#define GOGCRYPTDEV_API __declspec(dllexport)
#else
#define GOGCRYPTDEV_API __declspec(dllimport)
#pragma comment(lib,"gogcryptdev.lib")
#endif


#define GOG_IOERROR            0x10

#ifdef __cplusplus
extern "C" {
#endif

	int GOGCRYPTDEV_API gogEncryptBuff(unsigned char* buff, long size, const char* pass);
	int GOGCRYPTDEV_API gogDecryptBuff(unsigned char* buff, long size, const char* pass);
	int GOGCRYPTDEV_API gogGetLastError();

#ifdef __cplusplus
}
#endif
